## org.codehaus.groovy.grails.test
Class FormattedOutput

    java.lang.Object
      org.codehaus.groovy.grails.test.FormattedOutput

    public class FormattedOutput

extends Object

Constructor Summary
`FormattedOutput(File file, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter formatter)`

Method Summary
`void` `end(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test, String out, String err)`
`File` `getFile()`
`org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter` `getFormatter()`
`void` `start(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattedOutput

    public FormattedOutput(File file,
                           org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter formatter)

Method Detail

### getFile

    public File getFile()

### getFormatter

    public org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter getFormatter()

### start

    public void start(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test)

### end

    public void end(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest test,
                    String out,
                    String err)

Copyright (c) 2005-2009 The Grails project